/**
 * @(#) InOnly.java
 *
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InOnly.java 69 2006-01-17 16:00:26Z rmarins $
 * -------------------------------------------------------------------------
 */

//
// This source code implements specifications defined by the Java
// Community Process. In order to remain compliant with the specification
// DO NOT add / change / or delete method signatures!
//

package javax.jbi.messaging;

/**
 * Supports operations used to process an In Only MEP to completion.
 * 
 * @author JSR208 Expert Group
 */
public interface InOnly extends MessageExchange{
	
	/**
     * Retrieves the <i>in</i> normalized message from this exchange.
     * 
     * @return in message; may be <code>null</code>
     */
	public javax.jbi.messaging.NormalizedMessage getInMessage();
	
	/**
     * Sets the <i>in</i> normalized message for this exchange.
     * 
     * @param msg
     *            in message; must be non-null
     * @throws MessagingException
     *             unable to set in message, possibly because it has already
     *             been set
     * @throws java.lang.IllegalStateException
     *             if the component is not the owner of this message exchange
     */

    public void setInMessage(javax.jbi.messaging.NormalizedMessage msg)
            throws MessagingException;
}
